Subject: Re: [OSPF] External route question

From: "Pat Murphy - (650)329-4044" <[email-masked]>
Date: Tue, 03 Feb 2009 06:53:30 -0700 (PDT)

Hi Jocke, 

>> Acee is correct. But note there is a slight omission in this text. The 
>> forwarding address should not be through a stub area (or NSSA). RFC 3101 

>> Section 2.5 corrects this omission:
>> 
>>           If the forwarding address is non-zero look up the forwarding
>>           address in the routing table.  For a Type-5 LSA the matching
>>           routing table entry must specify an intra-area or inter-area
>>           path through a Type-5 capable area.  For a Type-7 LSA the
>>           matching routing table entry must specify an intra-area path
>>           through the LSA's originating NSSA.  If no such path exists
>>           then do nothing with this LSA and consider the next in the
>>           list.

>For Type-5, how do I make sure that the matching route passes through a 
>Type-5 capable area?

Just examine the next hop set of the forwarding address's routing table entry. 
A router in that set should be either in the backbone area or a standard area. 
I.e. it should not be in a stub area or an NSSA.

>For Type-7, I guess it is best just to use a route back to the originating 
>router?

Not necessarily. The route to the originating router is not always the best 
route to the forwarding address. One should always use the forwarding address's 
routing table entry. In this case any router in the next hop set should belong 
to the same NSSA as the LSA's originating router.

Pat

_______________________________________________
OSPF mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ospf